Skip to content

Update team

PATCH
/api/v1/teams/{id}
curl --request PATCH \
--url https://example.com/%7B%7Bapp_url%7D/api/v1/teams/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "badge_color": "white" }'

Updates a single team by ID.

id
required
integer

Team ID

Media typeapplication/json
object
name
string
badge_color
string
Allowed values: white black gray red green blue yellow purple pink orange brown cyan lime teal indigo

Successful

Media typeapplication/json
object
id
required
integer
name
required
string
badge_color
required
string
Allowed values: white black gray red green blue yellow purple pink orange brown cyan lime teal indigo
workspace_id
required
integer
created_at
required
string format: date-time
Example
{
"id": 12345,
"name": "Liverpool FC",
"badge_color": "white",
"workspace_id": 12345,
"created_at": "2023-08-23T10:30:00.000Z"
}

Unauthorized

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Forbidden

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Not Found

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Unprocessable Entity

Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{
"errors": {
"username": [
"Username is required.",
"Username must be unique."
],
"email": [
"Invalid email format."
]
}
}